Bug 257761 - Review Request: g2lib - GRIB2 encoder/decoder and search/indexing routines
Review Request: g2lib - GRIB2 encoder/decoder and search/indexing routines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 373861
Blocks: 257781
  Show dependency treegraph
 
Reported: 2007-08-27 15:38 EDT by Patrice Dumas
Modified: 2009-08-03 18:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 09:00:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-08-27 15:38:05 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/g2lib.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/g2lib-1.0.9-1.fc8.src.rpm
Description: 

This library contains Fortran 90 decoder/encoder
routines for GRIB edition 2, as well as indexing/searching
utility routines.  The user API for the GRIB2 routines
is described in file "grib2.doc".
Comment 1 Michel Alexandre Salim 2008-01-26 22:06:50 EST
Any test programs I could use to verify that the package is working?
Comment 2 Michel Alexandre Salim 2008-01-26 22:20:31 EST
- I'm hesitant about the placement of the module files -- perhaps
%{_libdir}/g2lib would be a better place?

- I'm not a Fortran expert, but this seems to suggest that .mod files are
susceptible to ABI breaks. In that case you'd have to Requires: the appropriate
version of gcc-gfortran. Any idea?

- 1.10 is out
Comment 3 Patrice Dumas 2008-01-27 06:37:31 EST
The mod files placement has been discussed on the packaging list
and the draft was accepted:
http://fedoraproject.org/wiki/PackagingDrafts/FortranModulesDir

Still blocked by the needed changes in fedora rpm macros.
Comment 4 Patrice Dumas 2008-05-18 12:18:12 EDT
Use fmoddir and update to latest:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/g2lib-1.1.6-1.fc10.src.rpm

One thing worth noting is that I change the library name for something
more specific and less prone to clashes.
Comment 5 Patrice Dumas 2008-09-29 17:50:38 EDT
(In reply to comment #1)
> Any test programs I could use to verify that the package is working?

There is cnvgrib that I submitted here:
https://bugzilla.redhat.com/show_bug.cgi?id=257781
Comment 6 Michel Alexandre Salim 2009-03-02 08:19:48 EST
Ping. I've not been noticing this bug because its blocker has not changed status -- is the matter resolved?
Comment 7 Patrice Dumas 2009-03-02 08:59:09 EST
It has been resolved since a long time on F10, but I reopened it for F9. Nobody seems to care, and Jakub disagrees on the placement of the fortran modules anyway, so I closed the bug.

The real issue for that submission is that I have left Fedora... Nobody have shown interest in that submission, so maybe the best is to close it.
Comment 8 Michel Alexandre Salim 2009-03-02 09:05:59 EST
Sorry to hear that. Hope you'll be back, though.

Note You need to log in before you can comment on or make changes to this bug.